=== debian/changelog ===
intel-gmmlib (18.4.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Dec 2018 23:43:34 +0100

intel-gmmlib (18.4.0+ds1-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libigdgmm1 -> libigdgmm5.
  * debian/patches: Refresh.
  * debian/control:
    - Drop dependency on libspdlog-dev from libigdgmm-dev.
      spdlog is no longer used in the public header files.
    - Remove incorrect Section from libigdgmm5.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 12 Dec 2018 20:44:45 +0100

intel-gmmlib (18.3.0+ds1-2) unstable; urgency=medium

  * debian/control: Remove libspdlog-dev from libigdgmm1's Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Dec 2018 22:42:02 +0100

intel-gmmlib (18.3.0+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #909983)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Nov 2018 22:57:13 +0100
