=== debian/control ===
Source: intel-gmmlib
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>,
 Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 debhelper (>= 11),
 cmake,
 libspdlog-dev
Standards-Version: 4.2.1
Homepage: https://github.com/intel/gmmlib
Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-gmmlib
Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git

Package: libigdgmm5
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Intel Graphics Memory Management Library -- shared library
 The Intel Graphics Memory Management Library provides device specific
 and buffer management for the Intel Graphics Compute Runtime for
 OpenCL and the Intel Media Driver for VAAPI.
 .
 This library is only useful for Broadwell and newer CPUs.
 .
 This package includes the shared library.

Package: libigdgmm-dev
Section: libdevel
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 libigdgmm5 (= ${binary:Version}),
 ${misc:Depends}
Description: Intel Graphics Memory Management Library -- development files
 The Intel Graphics Memory Management Library provides device specific
 and buffer management for the Intel Graphics Compute Runtime for
 OpenCL and the Intel Media Driver for VAAPI.
 .
 This library is only useful for Broadwell and newer CPUs.
 .
 This package includes files for development.
