## intel-gmmlib 19.2.3+ds1

=== debian/changelog ===
intel-gmmlib (19.2.3+ds1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jul 2019 18:43:00 +0200

intel-gmmlib (19.2.3+ds1-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libigdgmm5 -> libigdgmm9.
  * debian/patches: Refresh patches.
  * debian/: Bump debhelper compat to 12.
  * debian/control:
    - Bump Standards-Version.
    - Set RRR: no.
  * debian/libigdgmm-dev.install: Remove static library, no longer built
    upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jul 2019 11:05:49 +0200
