=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Sebastian Ramacher <sramacher@debian.org>,
  Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  cmake,
  libspdlog-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/intel/gmmlib
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-gmmlib
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git
+Rules-Requires-Root: no
 
-Package: libigdgmm5
+Package: libigdgmm9
 Architecture: amd64 i386 x32
 Multi-Arch: same
 Depends:
@@ -34,7 +35,7 @@
 Architecture: amd64 i386 x32
 Multi-Arch: same
 Depends:
- libigdgmm5 (= ${binary:Version}),
+ libigdgmm9 (= ${binary:Version}),
  ${misc:Depends}
 Description: Intel Graphics Memory Management Library -- development files
  The Intel Graphics Memory Management Library provides device specific
