## intel-gmmlib 19.3.2+ds1

=== debian/changelog ===
intel-gmmlib (19.3.2+ds1-0ubuntu2) eoan; urgency=medium

  * rules: Don't run tests on i386, which fail currently on it.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Oct 2019 13:31:03 +0300

intel-gmmlib (19.3.2+ds1-0ubuntu1) eoan; urgency=medium

  * Upload to eoan.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 05 Oct 2019 23:29:46 +0300

intel-gmmlib (19.3.2+ds1-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libigdgmm9 -> libigdgmm11.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Sep 2019 23:13:14 +0200

intel-gmmlib (19.2.4+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Sep 2019 19:56:34 +0200
