=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git
 Rules-Requires-Root: no
 
-Package: libigdgmm9
+Package: libigdgmm11
 Architecture: amd64 i386 x32
 Multi-Arch: same
 Depends:
@@ -35,7 +35,7 @@
 Architecture: amd64 i386 x32
 Multi-Arch: same
 Depends:
- libigdgmm9 (= ${binary:Version}),
+ libigdgmm11 (= ${binary:Version}),
  ${misc:Depends}
 Description: Intel Graphics Memory Management Library -- development files
  The Intel Graphics Memory Management Library provides device specific
