=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

overrid_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
	if grep -q sse4_2 /proc/cpuinfo && [ $$DEB_BUILD_ARCH_BITS = "64" ]; then dh_auto_test; fi
endif
