## intel-gmmlib 19.4.1+ds1

=== debian/changelog ===
intel-gmmlib (19.4.1+ds1-1~mx19+1) mx; urgency=medium

  * Repackage of upstream source for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Tue, 11 Feb 2020 18:02:10 -0500

intel-gmmlib (19.4.1+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 23 Dec 2019 13:26:15 +0100

intel-gmmlib (19.3.3+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Revert "Do not run tests on i386"

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Nov 2019 09:33:40 +0100

intel-gmmlib (19.3.2+ds1-3) unstable; urgency=medium

  * debian/rules: Do not run tests on i386 until fixed upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 14:59:32 +0200

intel-gmmlib (19.3.2+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 14:25:07 +0200
