## intel-gmmlib 20.1.1+ds1

=== Source/GmmLib/CMakeLists.txt ===
--- 
+++ 
@@ -24,20 +24,27 @@
 project(igfx_gmmumd)
 
 # GmmLib Api Version used for so naming
-set(GMMLIB_API_MAJOR_VERSION 5)
-set(GMMLIB_API_MINOR_VERSION 0)
+set(GMMLIB_API_MAJOR_VERSION 11)
+set(GMMLIB_API_MINOR_VERSION 1)
 
 if(NOT DEFINED MAJOR_VERSION)
-	set(MAJOR_VERSION 5)
+	set(MAJOR_VERSION 11)
 endif()
 
 if(NOT DEFINED MINOR_VERSION)
-	set(MINOR_VERSION 0)
+	set(MINOR_VERSION 1)
 endif()
 
 if(NOT DEFINED PATCH_VERSION)
 	set(PATCH_VERSION 0)
 endif()
+
+if(NOT DEFINED GMMLIB_API_PATCH_VERSION)
+    set(GMMLIB_API_PATCH_VERSION ${PATCH_VERSION})
+endif()
+
+message(STATUS "API version: ${GMMLIB_API_MAJOR_VERSION}.${GMMLIB_API_MINOR_VERSION}.${GMMLIB_API_PATCH_VERSION}")
+message(STATUS "Package version: ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
 if(NOT DEFINED BS_USE_OSDM_BUILD_SYSTEM)
     if(DEFINED ENV{BS_USE_OSDM_BUILD_SYSTEM})
@@ -92,13 +99,6 @@
 set(CMAKE_DISABLE_SOURCE_CHANGES ON)
 set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)
 
-set (TARGET_LIST
-        igfxgmmumd
-	gmm_umd
-	igfx_gmmumd_excite
-	#igfx_gmmumd_ocl
-	)
-
 ################################################################################
 # Define GMM_DLL Target
 ################################################################################
@@ -155,13 +155,13 @@
 
 # If '-DGMM_DYNAMIC_MOCS_TABLE=TRUE' (default is FALSE) passed to cmake
 # configure command gmmlib will generate MOCS table dynamically depending on
-# usage requests (Gen9+). In this case on Linux user responsibility is to
+# usage requests (Gen9). In this case on Linux user responsibility is to
 # make sure that generated MOCS table is programmed on KMD level.
 if (GMM_DYNAMIC_MOCS_TABLE)
-    MESSAGE("MOCS table: dynamic")
+    MESSAGE("MOCS table: Dynamic")
     add_definitions(-DGMM_DYNAMIC_MOCS_TABLE)
 else()
-    MESSAGE("MOCS table: static")
+    MESSAGE("MOCS table: Static")
 endif()
 
 if(DEFINED UFO_DRIVER_OPTIMIZATION_LEVEL)
@@ -176,10 +176,12 @@
 	${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyUndefineConditionals.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
+	${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen10.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen11.h
+	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen12.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen8.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen9.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicy.h
@@ -189,7 +191,7 @@
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmConst.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmDebug.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmFormatTable.h
-	${BS_DIR_GMMLIB}/inc/External/Common/GmmGttExt.h
+	${BS_DIR_GMMLIB}/inc/External/Common/GmmHw.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmInfo.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmInfoExt.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmInternal.h
@@ -204,25 +206,28 @@
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmTextureExt.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmUtil.h
 	${BS_DIR_GMMLIB}/inc/External/Linux/GmmResourceInfoLin.h
+        ${BS_DIR_GMMLIB}/inc/External/Linux/GmmResourceInfoLinExt.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen10Platform.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen11Platform.h
+	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen12Platform.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen8Platform.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen9Platform.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen10TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen11TextureCalc.h
+	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen12TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen7TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen8TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen9TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmTextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmCommonInt.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmLibInc.h
-	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmTextureCalc.h
 	${BS_DIR_GMMLIB}/inc/GmmLib.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmLogger.h
 )
 
 set(UMD_HEADERS
 	${HEADERS_}
+	${BS_DIR_GMMLIB}/inc/External/Common/GmmPageTableMgr.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmClientContext.h
         ${BS_DIR_GMMLIB}/inc/External/Common/GmmLibDll.h
         ${BS_DIR_GMMLIB}/inc/External/Common/GmmLibDllName.h
@@ -237,7 +242,9 @@
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.cpp
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.cpp
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.cpp
+  ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen11Platform.cpp
+  ${BS_DIR_GMMLIB}/Platform/GmmGen12Platform.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen8Platform.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen9Platform.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen10Platform.cpp
@@ -246,11 +253,13 @@
   ${BS_DIR_GMMLIB}/Resource/GmmResourceInfoCommon.cpp
   ${BS_DIR_GMMLIB}/Resource/GmmResourceInfoCommonEx.cpp
   ${BS_DIR_GMMLIB}/Resource/GmmRestrictions.cpp
+  ${BS_DIR_GMMLIB}/Resource/Linux/GmmResourceInfoLinCWrapper.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmGen7Texture.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmGen8Texture.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmGen9Texture.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmGen10Texture.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmGen11Texture.cpp
+  ${BS_DIR_GMMLIB}/Texture/GmmGen12Texture.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmTexture.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmTextureAlloc.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmTextureSpecialCases.cpp
@@ -264,6 +273,9 @@
 
 set(UMD_SOURCES
   ${SOURCES_}
+  ${BS_DIR_GMMLIB}/TranslationTable/GmmAuxTable.cpp
+  ${BS_DIR_GMMLIB}/TranslationTable/GmmPageTableMgr.cpp
+  ${BS_DIR_GMMLIB}/TranslationTable/GmmUmdTranslationTable.cpp
   ${BS_DIR_GMMLIB}/GlobalInfo/GmmClientContext.cpp
   ${BS_DIR_GMMLIB}/GlobalInfo/GmmOldApi.cpp
    ${BS_DIR_GMMLIB}/GlobalInfo/GmmLibDllMain.cpp
@@ -273,29 +285,10 @@
 			${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyResourceUsageDefinitions.h
 			${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
 			${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
+			${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.h
 			${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
 			${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
 			)
 
 source_group("Source Files\\Cache Policy" ${BS_DIR_GMMLIB}/CachePolicy/*.cpp)
 source_group("Source Files\\Global" ${BS_DIR_GMMLIB}/GlobalInfo/.*)
-source_group("Source Files\\Platform" ${BS_DIR_GMMLIB}/Platform/.*)
-source_group("Source Files\\Texture" ${BS_DIR_GMMLIB}/Texture/.*)
-source_group("Source Files\\Utility" ${BS_DIR_GMMLIB}/Utility/.*)
-
-source_group("Source Files\\Resource" FILES
-			${BS_DIR_GMMLIB}/Resource/GmmResourceInfo.cpp
-			${BS_DIR_GMMLIB}/Resource/GmmResourceInfoCommon.cpp
-			${BS_DIR_GMMLIB}/Resource/GmmRestrictions.cpp)
-
-source_group("Header Files\\External\\Common" FILES
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicy.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicyCommon.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicyExt.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmCommonExt.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmConst.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmDebug.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmFormatTable.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmGttExt.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmInfo.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmInfoExt.h
