=== Source/GmmLib/ULT/CMakeLists.txt ===
--- 
+++ 
@@ -26,9 +26,13 @@
      GmmGen10CachePolicyULT.h
      GmmGen10ResourceULT.h
      GmmGen11CachePolicyULT.h
+     GmmGen11ResourceULT.h
+     GmmGen12ResourceULT.h
+     GmmGen12CachePolicyULT.h
      GmmGen9CachePolicyULT.h
      GmmGen9ResourceULT.h
      GmmResourceULT.h
+     GmmAuxTableULT.h
      stdafx.h
      targetver.h
      )
@@ -39,10 +43,14 @@
     GmmGen10CachePolicyULT.cpp
     GmmGen10ResourceULT.cpp
     GmmGen11CachePolicyULT.cpp
+    GmmGen12CachePolicyULT.cpp
+    GmmGen11ResourceULT.cpp
+    GmmGen12ResourceULT.cpp
     GmmGen9CachePolicyULT.cpp
     GmmGen9ResourceULT.cpp
     GmmResourceCpuBltULT.cpp
     GmmResourceULT.cpp
+    GmmAuxTableULT.cpp
     googletest/src/gtest-all.cc
     GmmULT.cpp
 )
@@ -52,24 +60,39 @@
             GmmGen9CachePolicyULT.cpp
             GmmGen10CachePolicyULT.cpp
             GmmGen11CachePolicyULT.cpp
+            GmmGen12CachePolicyULT.cpp
             )
 
 source_group("Source Files\\Resource" FILES
             GmmGen10ResourceULT.cpp
+            GmmGen11ResourceULT.cpp
+            GmmGen12ResourceULT.cpp
+
             GmmGen9ResourceULT.cpp
             GmmResourceCpuBltULT.cpp
             GmmResourceULT.cpp
+            )
+
+source_group("Source Files\\TranslationTable" FILES
+            GmmAuxTableULT.cpp
+            )
+
+source_group("Header Files\\TranslationTable" FILES
+            GmmAuxTableULT.h
             )
 
 source_group("Header Files\\Cache Policy" FILES
              GmmCachePolicyULT.h
              GmmGen10CachePolicyULT.h
              GmmGen11CachePolicyULT.h
+             GmmGen12CachePolicyULT.h
              GmmGen9CachePolicyULT.h
             )
 
 source_group("Header Files\\Resource" FILES
              GmmGen10ResourceULT.h
+             GmmGen11ResourceULT.h
+             GmmGen12ResourceULT.h
              GmmGen9ResourceULT.h
              GmmResourceULT.h
             )
@@ -92,13 +115,6 @@
     ${BS_DIR_INC}/common
     )
 
-if(MSVC)
-
-    include_directories(
-        ${BS_DIR_D3D11}/Imola
-    )
-endif()
-
 macro(GmmLibULTSetTargetConfig ultTarget)
 	if (TARGET ${ultTarget})
 			set_property(TARGET ${ultTarget} APPEND PROPERTY COMPILE_DEFINITIONS
@@ -114,40 +130,17 @@
 
 GmmLibULTSetTargetConfig(${EXE_NAME})
 
+set_property(TARGET ${EXE_NAME} APPEND PROPERTY COMPILE_DEFINITIONS __GMM GMM_LIB_DLL __UMD)
 
-if(MSVC)
-    bs_set_wdk(${EXE_NAME})
+if(NOT TARGET igfx_gmmumd_dll)
+    add_subdirectory("${BS_DIR_GMMLIB}" "${CMAKE_BINARY_DIR}/gmmlib/ult")
+endif()
+target_link_libraries(${EXE_NAME} igfx_gmmumd_dll)
 
-    set_property(TARGET ${EXE_NAME} APPEND PROPERTY COMPILE_DEFINITIONS __GMM GMM_LIB_DLL GMM_ULT __UMD)
-
-    add_dependencies(${EXE_NAME}
-					 igfx_gmmumd_dll
+target_link_libraries(${EXE_NAME}
+    pthread
+    dl
 )
-
-    target_link_libraries( ${EXE_NAME}
-        advapi32.lib
-        dxgi.lib
-        gdi32.lib
-        opengl32.lib
-        user32.lib
-    )
-else()
-    set_property(TARGET ${EXE_NAME} APPEND PROPERTY COMPILE_DEFINITIONS __GMM GMM_EXCITE __UMD)
-
-    target_link_libraries(${EXE_NAME}
-        igfx_gmmumd_excite
-    )
-
-#	if(NOT TARGET igfx_gmmumd_dll)
-#		add_subdirectory("${BS_DIR_GMMLIB}" "${CMAKE_BINARY_DIR}/gmmlib/ult")
-#	endif()
-#	target_link_libraries(${EXE_NAME} igfx_gmmumd_dll)
-
-    target_link_libraries(${EXE_NAME}
-        pthread
-		dl
-    )
- endif()
 
 add_custom_target(Run_ULT ALL DEPENDS GMMULT)
 
@@ -155,6 +148,5 @@
     TARGET Run_ULT
     POST_BUILD
     COMMAND echo running ULTs
-    COMMAND ${EXE_NAME}  --gtest_filter=CTest*
+    COMMAND "${CMAKE_COMMAND}" -E env "LD_LIBRARY_PATH=$<TARGET_FILE_DIR:igfx_gmmumd_dll>" ${CMAKE_CFG_INTDIR}/${EXE_NAME} --gtest_filter=CTest*
 )
-
