=== debian/changelog ===
intel-gmmlib (20.1.1+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Apr 2020 10:04:38 +0200
