## intel-gmmlib 20.2.4+ds1

=== debian/changelog ===
intel-gmmlib (20.2.4+ds1-1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 16 Sep 2020 22:53:42 -0400

intel-gmmlib (20.2.4+ds1-1) unstable; urgency=medium

  * New upstream version release

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Aug 2020 10:47:02 +0200
