## intel-gmmlib 20.3.2+ds1

=== debian/changelog ===
intel-gmmlib (20.3.2+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 18 Sep 2020 10:32:41 +0200
