## intel-gmmlib 21.2.2+ds1

=== debian/changelog ===
intel-gmmlib (21.2.2+ds1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 12 Sep 2021 01:16:53 -0400

intel-gmmlib (21.2.2+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 31 Aug 2021 19:00:20 +0200

intel-gmmlib (21.2.1+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 11:46:09 +0200

intel-gmmlib (21.2.1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Aug 2021 22:44:39 +0200

intel-gmmlib (21.1.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 Apr 2021 13:15:19 +0200
