## intel-gmmlib 21.3.2+ds1

=== debian/changelog ===
intel-gmmlib (21.3.2+ds1-1~mx21ahs+1) mx; urgency=medium

  * Initial build from upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 12 Nov 2021 11:04:25 -0500

intel-gmmlib (21.3.2+ds1-1) unstable; urgency=medium

  * New upstream version 21.3.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Oct 2021 15:30:18 +0200
